Package org.codehaus.janino

# Class Java.SuperConstructorInvocation

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.ConstructorInvocation
org.codehaus.janino.Java.SuperConstructorInvocation

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`

Enclosing class:
  `Java`

public static final class Java.SuperConstructorInvocation extends Java.ConstructorInvocation
Representation of a JLS7 8.8.7.1. "superclass constructor invocation".

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Rvalue`
`qualification`
The qualification for this "qualified superclass constructor invocation", or `null` iff this is an "unqualified superclass constructor invocation".

### Fields inherited from class org.codehaus.janino.Java.ConstructorInvocation

`arguments, localVariables`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`SuperConstructorInvocation(Location location, Java.Rvalue qualification, Java.Rvalue[] arguments)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.BlockStatementVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ConstructorInvocationVisitor` for the concrete `Java.ConstructorInvocation`.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.ConstructorInvocation

`accept, findLocalVariable, getEnclosingScope, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### qualification

@Nullable public final Java.Rvalue qualification
The qualification for this "qualified superclass constructor invocation", or `null` iff this is an "unqualified superclass constructor invocation".

## Constructor Details

### SuperConstructorInvocation

public SuperConstructorInvocation(Location location, @Nullable Java.Rvalue qualification, Java.Rvalue[] arguments)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.ConstructorInvocation`
Invokes the "`visit...()`" method of `Visitor.ConstructorInvocationVisitor` for the concrete `Java.ConstructorInvocation`.

Specified by:
  `accept` in class `Java.ConstructorInvocation`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.BlockStatementVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.BlockStatement`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.

Throws:
  `EX`